using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Pdf;

namespace EssentialPDFSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(112, 24);
			this.button1.Name = "button1";
			this.button1.TabIndex = 0;
			this.button1.Text = "PDF";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(304, 70);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Essential PDF Samples";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			//Create a new PDF Document. This object represents the PDF document.
			//This document has One page by default. Additional pages have to be added.
			PDFDocument pdfDoc = new PDFDocument();
				
			//Accessing the first page in the pages collection.
			IPDFPage firstPage = pdfDoc.Pages[0];	
		
			//Draw Text
			firstPage.Graphics.DrawText(new PointF(0,0),"Sample Text!Sample Text!Sample Text!",pdfDoc.DefaultFont);
			
		
			//Create a new PDF Table.
			ITable table = pdfDoc.CreateTable();
			
			//Import DataTable.
			table.ImportDataTable(GetTable(3,8),true,0,0,3,9);			
			for(int i=0;i<table.Rows.Count;i++)
			{
				for(int j=0;j<table.Columns.Count;j++)
				{
					table.Rows[i].Cells[j].Style.BackColor = Color.LightGreen;
					table.Rows[i].AutoHeight =false;
			
					table.Rows[i].Height=50;
					
				}
			}
			
			// Change Row Height
			
			
			// publish table 2" below the top of page 
			
			table.Publish(new Point(0, 144),firstPage); 
			// But the table top border extends all the way to top of page!   

			//Save the PDF Document to disk.
			pdfDoc.Save("Sample.pdf");
			//Open the PDF document that was created using Essential PDF.
			System.Diagnostics.Process.Start("Sample.pdf");	
		
		}

		private DataTable GetTable(int row,int cols)
		{
			DataTable dt = new DataTable("MyTable");

			int nCols = cols;
			int nRows = row;

			for(int i = 0; i < cols; i++)
			{
				dt.Columns.Add(new DataColumn("Header"+ i.ToString()));
				
				
			}
			for(int k = 1; k < row; k++)
			{
				DataRow dr = dt.NewRow();
				for(int j = 0; j < cols; j++)
					dr[j] = string.Format("Test" + k.ToString()+","+j.ToString());
				dt.Rows.Add(dr);
			}
			return dt;
		}
	}
}